package com.aucma.report.service;

import java.util.List;
import com.aucma.report.domain.PerfusionRecord;

/**
 * 灌注记录Service接口
 * 
 * @author Yinq
 * @date 2024-03-14
 */
public interface IPerfusionRecordService 
{
    /**
     * 查询灌注记录
     * 
     * @param objId 灌注记录主键
     * @return 灌注记录
     */
    public PerfusionRecord selectPerfusionRecordByObjId(Long objId);

    /**
     * 查询灌注记录列表
     * 
     * @param perfusionRecord 灌注记录
     * @return 灌注记录集合
     */
    public List<PerfusionRecord> selectPerfusionRecordList(PerfusionRecord perfusionRecord);

    /**
     * 新增灌注记录
     * 
     * @param perfusionRecord 灌注记录
     * @return 结果
     */
    public int insertPerfusionRecord(PerfusionRecord perfusionRecord);

    /**
     * 修改灌注记录
     * 
     * @param perfusionRecord 灌注记录
     * @return 结果
     */
    public int updatePerfusionRecord(PerfusionRecord perfusionRecord);

    /**
     * 批量删除灌注记录
     * 
     * @param objIds 需要删除的灌注记录主键集合
     * @return 结果
     */
    public int deletePerfusionRecordByObjIds(Long[] objIds);

    /**
     * 删除灌注记录信息
     * 
     * @param objId 灌注记录主键
     * @return 结果
     */
    public int deletePerfusionRecordByObjId(Long objId);
}
